$(function(){
    $("#add_car").live('click',function(){
        $.toast("操作成功");
    });
    $('.del_btn').live('click',function(){
        var This=$(this);
        $.confirm('确定删除该商品吗？',
            function () {
                This.parent().remove();
            },
            function () {
                return false;
            }
        );
    });
    $('#all_check').live('click',function(){
        if($(this).is(':checked')){
            $(".list-ul input[name='products_name']").each(function(){
                $(this).prop('checked',true);
            });
            check_num();
            altogether();
        }
        else {
            $(".list-ul input[name='products_name']").each(function(){
                $(this).prop('checked',false);
            });
            check_num();
            altogether();
        }
    });
    $('.list-li input[type="checkbox"]').live('click',function(){
        check_num()
    });
    //选中的条数
    function check_num(){
    var  checkLength=$(".list-li input:checked").length;
        $('#but_num').text(checkLength);
    }


    //计算总价
    function altogether(){
        var altogether;
        for(var i=0;i<$(".list-li input:checked").length;i++){
        }
    }
    //搜索框获取焦点
    $('.popup-search').live('opened',function(){
        $('#search').focus();
    });

    //搜索结果列表
    $('#search').live('input',function(){
        //中文输入不判断
        if($(this).prop('comStart')) {return};
        var searchValue=$(this).val();
        if(searchValue=='') {
            $('#result_list').html('');
            return;
        }
        else {
            setTimeout(function(){
                var searchKeyword={
                    keyword:searchValue
                };
                $.ajax({
                    type:'get',
                    url:'http://a.lrlz.com:8099/mobile/index.php?act=search&op=goods_list&client_type=ajax',
                    data:searchKeyword,
                    dataType:'jsonp',
                    jsonp:'callback',
                    success:function(data){
                        $('#result_list').html('');
                        var name= '',
                            datalenth,
                            html='';
                        if(data.datas.goods_list.length>5){
                            datalenth=5;
                        }
                        else {
                            datalenth=data.datas.goods_list.length;
                        }

                        for(var i=0;i<datalenth;i++){
                            html+='<li class="item-content">'+
                                '<div class="item-media"><i class="icon icon-f7"></i></div>'+
                                '<div class="item-inner">'+
                                '<div class="item-title">'+
                                '<a href="./index.html" external>'+data.datas.goods_list[i].goods_name+'</a>'+
                                '</div>'+
                                '</div>'+
                                '</li>';
                        }
                        $('#result_list').append(html);
                    }
                })
            },2000);
        }
    })
        .live('compositionstart',function(){
            $(this).prop('comStart', true);
        }).live('compositionend',function(){
            $(this).prop('comStart', false);

        });
    //返回顶部
    $('.back_top').live('click',function(){
        $('.content').scrollTop(0);
    });



    //隐藏搜索栏
    $(document).live('click',function(){
        $('#result_list').html('');
    });






    //页面跳转初始化
    $(document).live("pageInit", function(e, pageId, $page) {
        if(pageId == "products_list") {
            $('.content').on('scroll',function(){
                var topH=$(this).scrollTop();
                if(topH>1000) {
                    $('.back_top').css('-webkit-transform','translate(0)');
                }
                else {
                    $('.back_top').css('-webkit-transform','translate(50px)');
                }
            });
            $('title').text('商品列表');
        }
        if(pageId == "find") {
            $('title').text('熊猫美妆');
        }
        if(pageId == "index"){
            $('title').text('熊猫美妆');
            $.reinitSwiper('index');
            var pageN=0;
            // 加载flag
            var loading = false;
            $(".content").on('scroll',function(){
                //返回顶部按钮
                var topH=$(this).scrollTop();
                if(topH>1000) {
                    $('.back_top').css('-webkit-transform','translate(0)');
                }
                else {
                    $('.back_top').css('-webkit-transform','translate(50px)');
                }
                //懒加载
                $('.test-lazyload').picLazyLoad({
                    threshold: 100
                });
            });
            // 无限滚动
                // 注册'infinite'事件处理函数
                $('.infinite-scroll-bottom').live('infinite',function() {
                    // 如果正在加载，则退出
                    if (loading) return;
                    // 设置flag
                    loading = true;
                    var pages={
                        curpage:pageN
                    };
                    $.ajax({
                        type:'get',
                        url:"http://a.lrlz.com:8099/mobile/index.php?act=index&op=show_goods&client_type=ajax&page=10",
                        data:pages,
                        dataType:"jsonp",
                        jsonp:'callback',
                        success:function(data){
                            //注销无限加载事件
                            $.detachInfiniteScroll($('.infinite-scroll-bottom'));
                            function addItems() {
                                if (data.datas.mobile_page.page_total<=pageN) {
                                    // 删除加载提示符
                                    $('.infinite-scroll-preloader').remove();
                                    return;
                                }
                                var datas=data.datas;
                                // 生成新条目的HTML
                                var html = '',
                                    name ='',
                                    goods_jingle='';
                                for (var i = 0;i<datas.goods_list.length;i++) {
                                    if(datas.goods_list[i].goods_mobile_name.length>30){
                                         name=(datas.goods_list[i].goods_mobile_name).substring(0,30)+''+'...';
                                    }
                                    else {
                                        name=datas.goods_list[i].goods_mobile_name;
                                    }
                                    if(datas.goods_list[i].goods_jingle.length>13){
                                        goods_jingle = (datas.goods_list[i].goods_jingle).substring(0,13)+''+'...';
                                    }
                                    else {
                                        goods_jingle = datas.goods_list[i].goods_jingle;
                                    }

                                    html += '<div class="thumbnail_box col-50 opacity_all">'+
                                        '<a href="./products_content.html">'+
                                        '<div class="thumbnail">'+
                                        '<img class="test-lazyload" src=""  data-original="'+datas.goods_list[i].goods_image_url+'"/>'+
                                        '</div>'+
                                        '<div class="thumbnail_msg">'+
                                        '<div class="action">'+goods_jingle+'</div>'+
                                        '<div class="name">'+name+'</div>'+
                                        '<div class="price">'+
                                        '<span class="this_price">¥'+datas.goods_list[i].goods_price+'</span><span class="old_price">¥'+datas.goods_list[i].goods_marketprice+'</span>'+
                                        '</div>'+
                                        '</div>'+
                                        '</a>'+
                                        '</div>';
                                }
                                // 添加新条目
                                $("#infinite_scroll_list").append(html);
                                pageN++;
                            }
                            addItems();
                            setTimeout(function(){
                                // 重置加载flag
                                loading = false;
                                $.attachInfiniteScroll($('.infinite-scroll-bottom'));
                                //容器发生改变,如果是js滚动，需要刷新滚动
                                $.refreshScroller();
                            },100);
                        },
                        error:function(){
                            $.alert('请检查网络');
                        }
                    });

                });
            }


        if(pageId =='products_contents'){
            $('title').text('商品详情');
            $.reinitSwiper('products_content');
        }
        if(pageId == "shopping_bag") {
            $('title').text('购物车');
            check_num();
            $('.list-li').touchWipe({itemDelete: '.del_btn'});
            $.refreshScroller();
            altogether();
        }
        if(pageId == "add_adderss") {
            $("#city-picker").cityPicker({
                toolbarTemplate: '<header class="bar bar-nav">\
                    <button class="button button-link pull-right close-picker">确定</button>\
                    <h1 class="title">选择所在区域</h1>\
                    </header>'
            });
        }
    });
    $.init();
});